Publish the intent's action (make it live)
curl --request POST \
--url https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid}/event/publish \
--header 'Authorization: Bearer <token>'import requests
url = "https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid}/event/publish"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{subdomain}.mihu.ai/api/v1/agents/{uuid}/intents/{intentUuid}/event/publish', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Intent event published successfully",
"data": {
"event_type": "app",
"status": "deployed",
"app": {
"uid": "7da9…",
"name": "Tables",
"is_builtin": true
},
"action": {
"key": "ai_query",
"name": "AI Query"
},
"app_connection_uuid": null,
"config": {
"table_uuid": "…",
"max_results": 10
}
}
}Agents
Publish the intent's action (make it live)
Sets the configured event’s status to deployed so the agent will run it at runtime. The event must already be configured (PUT the event first).
POST
/
api
/
v1
/
agents
/
{uuid}
/
intents
/
{intentUuid}
/
event
/
publish
Publish the intent's action (make it live)
⌘I